## h2o 2.2.5+dfsg1

=== debian/control ===
Source: h2o
Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: httpd
Priority: optional
Build-Depends: bison,
               cmake,
               curl,
               debhelper (>= 11~),
               libio-socket-ssl-perl,
               libjson-perl,
               libpath-tiny-perl,
               libscope-guard-perl,
               libssl-dev,
               libtest-exception-perl,
               libuv1-dev,
               libwslay-dev,
               libyaml-dev,
               netcat-openbsd,
               nghttp2-client,
               pkg-config,
               ruby-dev,
               ruby,
               starlet,
               wget,
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/h2o
Vcs-Git: https://salsa.debian.org/debian/h2o.git
Homepage: https://h2o.examp1e.net

Package: h2o
Architecture: any
Depends: adduser,
         apache2-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: optimized HTTP/1.x, HTTP/2 server
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older web servers.  Designed from
 ground-up, the server takes full advantage of HTTP/2 features including
 prioritized content serving and server push.

Package: libh2o0.13
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: H2O library compiled with libuv
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the H2O library compiled with libuv which allows you to
 link your own software to H2O

Package: libh2o-evloop0.13
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: H2O library compiled with its own event loop
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the H2O library compiled with its own event loop which
 allows you to link your own software to H2O

Package: libh2o-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libh2o0.13 (= ${binary:Version}),
         libh2o-dev-common (= ${source:Version})
Description: dev helpers of the H2O library compiled with libuv
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the development helpers of the H2O library compiled with
 libuv.

Package: libh2o-evloop-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libh2o-evloop0.13 (= ${binary:Version}),
         libh2o-dev-common (= ${source:Version})
Description: dev helpers of the H2O library compiled with its own event loop
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the development helpers of the H2O library compiled with
 its own event loop.

Package: libh2o-dev-common
Architecture: all
Section: libdevel
Depends: ${misc:Depends},
         libh2o0.13 (>= ${source:Version}) | libh2o-evloop0.13 (>= ${source:Version})
Description: H2O library headers
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the H2O library headers needed by developers.

Package: h2o-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Description: optimized HTTP/1.x, HTTP/2 server - documentation
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older web servers.  Designed from
 ground-up, the server takes full advantage of HTTP/2 features including
 prioritized content serving and server push.
 .
 This package contains the server documentation.
