=== apps/CMakeLists.txt ===
add_subdirectory(openssl)
add_subdirectory(nc)
