=== man/CMakeLists.txt ===
install(DIRECTORY .
    DESTINATION share/man/man3
    FILES_MATCHING PATTERN "*.3"
    )

install(DIRECTORY .
    DESTINATION share/man/man1
    FILES_MATCHING PATTERN "*.1"
    )
