=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: httpd
 Priority: optional
+Rules-Requires-Root: no
 Build-Depends: bison,
                cmake,
                curl,
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                libio-socket-ssl-perl,
                libjson-perl,
                libpath-tiny-perl,
@@ -24,7 +25,7 @@
                starlet,
                wget,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/h2o
 Vcs-Git: https://salsa.debian.org/debian/h2o.git
 Homepage: https://h2o.examp1e.net
@@ -35,6 +36,7 @@
          apache2-utils,
          ${misc:Depends},
          ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: optimized HTTP/1.x, HTTP/2 server
  H2O is a new generation HTTP server that provides quicker response to users
  with less CPU utilization when compared to older web servers.  Designed from
@@ -109,6 +111,7 @@
 
 Package: libh2o-dev-common
 Architecture: all
+Multi-Arch: foreign
 Section: libdevel
 Depends: ${misc:Depends},
          libh2o0.13 (>= ${source:Version}) | libh2o-evloop0.13 (>= ${source:Version})
