=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PERL5LIB=$(CURDIR)
 
 # Disable the following tests as they require network access
-BAD_TESTS=10http1client 50reverse-proxy-added-headers 50reverse-proxy-drop-headers 50reverse-proxy-https 80invalid-h2-chars-in-headers 40server-push 50mruby-acl 80issues595
+BAD_TESTS=10http1client 50access-log 50reverse-proxy-added-headers 50reverse-proxy-drop-headers 50reverse-proxy-https 50reverse-proxy-session-resumption 80invalid-h2-chars-in-headers 40server-push 50mruby-acl 80issues595 40max-connections 40session-ticket
 
 %:
 	dh $@
@@ -14,9 +14,11 @@
 	dh_auto_configure -- -DCMAKE_INSTALL_SYSCONFDIR=/etc/h2o -DWITH_BUNDLED_SSL=off -DWITH_MRUBY=on -DBUILD_SHARED_LIBS=on
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	for test in $(BAD_TESTS); do mv $(CURDIR)/t/$$test.t $(CURDIR)/t/$$test.disabled; done
 	dh_auto_test
 	for test in $(BAD_TESTS); do mv $(CURDIR)/t/$$test.disabled $(CURDIR)/t/$$test.t; done
+endif
 
 override_dh_installinit:
 	# Do not do a full restart, just a graceful reload
