=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*//,uversionmangle=s/-(alpha|beta|rc)/~$1/ \
 https://github.com/h2o/h2o/releases	.*/archive/v(.*)\.tar\.gz
