## h2o 2.8.1.1

=== DESCRIPTION ===
Package: h2o
Type: Package
Title: H2O R Interface
Version: 2.8.1.1
Date: 2014-05-15
Author: Anqi Fu, Spencer Aiello, Ariel Rao, Tom Kraljevic and Petr Maj,
        with contributions from the 0xdata team
Maintainer: Tom Kraljevic <tomk@0xdata.com>
Description: Run H2O via its REST API from within R.
License: Apache License (== 2.0)
Depends: R (>= 2.13.0), RCurl, rjson, statmod, survival, stats, tools,
        utils, methods
Collate: Wrapper.R Internal.R Classes.R ParseImport.R models.R
        Algorithms.R zzz.R
NeedsCompilation: no
SystemRequirements: Java (>= 1.6)
Suggests: plyr
URL: http://www.0xdata.com
Packaged: 2014-10-23 02:24:40 UTC; jenkins
Repository: CRAN
Date/Publication: 2014-10-27 18:11:24
