## h2o 3.0.0.22

=== DESCRIPTION ===
Package: h2o
Version: 3.0.0.22
Type: Package
Title: R Interface for H2O
Date: 2015-6-1
Author: Spencer Aiello, Tom Kraljevic and Petr Maj, with contributions from the
    0xdata team
Maintainer: Tom Kraljevic <tomk@0xdata.com>
Description: R scripting functionality for H2O, the open source
    math engine for big data that computes parallel distributed
    machine learning algorithms such as generalized linear models,
    gradient boosting machines, random forests, and neural networks
    (deep learning) within various cluster environments.
License: Apache License (== 2.0)
URL: http://www.h2o.ai
NeedsCompilation: no
SystemRequirements: Java (>= 1.7)
Depends: R (>= 2.13.0), methods, statmod, stats
Imports: graphics, RCurl, rjson, tools, utils
Suggests: devtools, roxygen2, testthat
Packaged: 2015-06-13 16:51:54 UTC; jenkins
Repository: CRAN
Date/Publication: 2015-06-14 08:32:53
