## h2o 3.2.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: h2o
-Version: 3.0.0.30
+Version: 3.2.0.1
 Type: Package
 Title: R Interface for H2O
 Date: 2015-7-1
 Author: Spencer Aiello, Tom Kraljevic and Petr Maj, with contributions from the
-    0xdata team
+    H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
 Description: R scripting functionality for H2O, the open source
     math engine for big data that computes parallel distributed
@@ -16,8 +16,8 @@
 NeedsCompilation: no
 SystemRequirements: Java (>= 1.7)
 Depends: R (>= 2.13.0), methods, statmod, stats
-Imports: graphics, RCurl, rjson, tools, utils
+Imports: graphics, RCurl, jsonlite, tools, utils
 Suggests: devtools, roxygen2, testthat
-Packaged: 2015-07-21 03:13:30 UTC; jenkins
+Packaged: 2015-09-12 22:49:04 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2015-07-22 05:29:32
+Date/Publication: 2015-09-15 01:08:11
