## h2o 3.2.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: h2o
-Version: 3.2.0.1
+Version: 3.2.0.3
 Type: Package
 Title: R Interface for H2O
 Date: 2015-7-1
@@ -18,6 +18,6 @@
 Depends: R (>= 2.13.0), methods, statmod, stats
 Imports: graphics, RCurl, jsonlite, tools, utils
 Suggests: devtools, roxygen2, testthat
-Packaged: 2015-09-12 22:49:04 UTC; jenkins
+Packaged: 2015-09-22 01:19:50 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2015-09-15 01:08:11
+Date/Publication: 2015-09-23 02:25:07
