## h2o 3.6.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.2.0.3
+Version: 3.6.0.8
 Type: Package
 Title: R Interface for H2O
-Date: 2015-7-1
+Date: 2015-11-18
 Author: Spencer Aiello, Tom Kraljevic and Petr Maj, with contributions from the
     H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
@@ -17,7 +17,7 @@
 SystemRequirements: Java (>= 1.7)
 Depends: R (>= 2.13.0), methods, statmod, stats
 Imports: graphics, RCurl, jsonlite, tools, utils
-Suggests: devtools, roxygen2, testthat
-Packaged: 2015-09-22 01:19:50 UTC; jenkins
+Suggests: devtools, roxygen2, testthat, ggplot2, mlbench
+Packaged: 2015-11-24 04:21:22 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2015-09-23 02:25:07
+Date/Publication: 2015-11-24 15:03:56
