## h2o 3.8.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.8.2.6
+Version: 3.8.3.3
 Type: Package
 Title: R Interface for H2O
-Date: 2015-11-18
+Date: 2016-07-12
 Author: Spencer Aiello, Tom Kraljevic and Petr Maj, with contributions from the
     H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
@@ -18,6 +18,6 @@
 Depends: R (>= 2.13.0), methods, statmod, stats
 Imports: graphics, RCurl, jsonlite, tools, utils
 Suggests: devtools, roxygen2, testthat, ggplot2, mlbench
-Packaged: 2016-05-24 17:58:09 UTC; jenkins
+Packaged: 2016-07-12 17:49:05 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2016-06-02 07:11:34
+Date/Publication: 2016-07-13 10:19:23
