## h2o 3.10.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.10.2.2
+Version: 3.10.3.3
 Type: Package
 Title: R Interface for H2O
-Date: 2017-01-12
+Date: 2017-02-02
 Author: The H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
 Description: R scripting functionality for H2O, the open source
@@ -18,6 +18,6 @@
 Depends: R (>= 2.13.0), methods, stats
 Imports: graphics, tools, utils, RCurl, jsonlite
 Suggests: ggplot2, mlbench, Matrix, data.table (>= 1.9.8)
-Packaged: 2017-01-13 02:51:00 UTC; jenkins
+Packaged: 2017-02-02 20:57:57 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2017-01-18 00:47:42
+Date/Publication: 2017-02-03 14:33:06
