## h2o 3.10.4.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.10.3.6
+Version: 3.10.4.4
 Type: Package
 Title: R Interface for H2O
-Date: 2017-02-21
+Date: 2017-04-15
 Author: The H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
 Description: R scripting functionality for H2O, the open source
@@ -18,6 +18,6 @@
 Depends: R (>= 2.13.0), methods, stats
 Imports: graphics, tools, utils, RCurl, jsonlite
 Suggests: ggplot2, mlbench, Matrix, data.table (>= 1.9.8)
-Packaged: 2017-02-22 00:47:36 UTC; jenkins
+Packaged: 2017-04-15 15:01:20 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2017-02-22 08:42:25
+Date/Publication: 2017-04-17 18:29:10 UTC
